com.thinkaurelius.titan.diskstorage.configuration

## Class ModifiableConfiguration

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.AbstractConfiguration
  - - com.thinkaurelius.titan.diskstorage.configuration.BasicConfiguration
    - - com.thinkaurelius.titan.diskstorage.configuration.ModifiableConfiguration

- All Implemented Interfaces:
    Configuration

      public class ModifiableConfiguration
      extends BasicConfiguration

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.thinkaurelius.titan.diskstorage.configuration.BasicConfiguration

      `BasicConfiguration.Restriction`

  - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.configuration.BasicConfiguration

      `FROZEN_KEY, isFrozen`

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.configuration.Configuration

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifiableConfiguration(ConfigNamespace root, WriteConfiguration config, BasicConfiguration.Restriction restriction)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `freezeConfiguration()`
    `WriteConfiguration` | `getConfiguration()`
    `<O> void` | `remove(ConfigOption<O> option, String... umbrellaElements)`
    `<O> ModifiableConfiguration` | `set(ConfigOption<O> option, O value, String... umbrellaElements)`
    `void` | `setAll(Map<ConfigElement.PathIdentifier,Object> options)`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.configuration.BasicConfiguration

      `close, get, getAll, getContainedNamespaces, getSubset, has, isFrozen, restrictTo, verifyOption`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.configuration.AbstractConfiguration

      `getContainedNamespaces, getPath, getRootNamespace, getSubset, restrictTo, verifyElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifiableConfiguration

          public ModifiableConfiguration(ConfigNamespace root,
                                 WriteConfiguration config,
                                 BasicConfiguration.Restriction restriction)

  - ### Method Detail

    - #### set

          public <O> ModifiableConfiguration set(ConfigOption<O> option,
                                        O value,
                                        String... umbrellaElements)

    - #### setAll

          public void setAll(Map<ConfigElement.PathIdentifier,Object> options)

    - #### remove

          public <O> void remove(ConfigOption<O> option,
                        String... umbrellaElements)

    - #### freezeConfiguration

          public void freezeConfiguration()

    - #### getConfiguration

          public WriteConfiguration getConfiguration()

      Overrides:
        `getConfiguration` in class `BasicConfiguration`

Copyright © 2012–2014. All rights reserved.